Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common.capability
Class MethodCapabilityDefinition

    java.lang.Object
      com.bea.content.spi.flexspi.common.capability.MethodCapabilityDefinition

All Implemented Interfaces
  ICapabilityDefinition

    public final class MethodCapabilityDefinition

extends Object
implements ICapabilityDefinition

Constructor Summary
`MethodCapabilityDefinition(String interfaceName, Enum methodName)` Constructor
`MethodCapabilityDefinition(String interfaceName, String methodName)` Constructor

Method Summary
`static String` | `buildId(String interfaceName, String methodName)` Build hte id for the method capability definition.
`static String` | `buildName(String interfaceName, String methodName)` Build the name for the method capability definition.
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`String` | `getId()`
`String` | `getInterfaceName()` Get the interface name for this method capability definition.
`String` | `getMethodName()` Get the method name for this method capability definition.
`String` | `getName()`
`CapabilityType` | `getType()`
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodCapabilityDefinition

    public MethodCapabilityDefinition(String interfaceName,
                                      String methodName)

  Constructor

  Parameters
    `interfaceName` - The SPI interface key name for the method.
    `methodName` - The method name.
  See Also
    `SPITicketInterfaces`

### MethodCapabilityDefinition

    public MethodCapabilityDefinition(String interfaceName,
                                      Enum methodName)

  Constructor

  Parameters
    `interfaceName` - The SPI interface key name for the method.
    `methodName` - The method enumeration entry (methodName.toString() will populate the methodName for the returned instance.)
  See Also
    `SPITicketInterfaces`

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `ICapabilityDefinition`
  Returns
    the name of the capability definition. Note that there may be multiple capabilities with the same name (but different types).

### getType

    public CapabilityType getType()

  Specified by:
    `getType` in interface `ICapabilityDefinition`
  Returns
    the type of capability (basic, named, etc)

### getId

    public String getId()

  Specified by:
    `getId` in interface `ICapabilityDefinition`
  Returns
    a unique id for the capability

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    a string representation of the object (the same as getId())

### buildName

    public static String buildName(String interfaceName,
                                   String methodName)

  Build the name for the method capability definition.

  Parameters
    `interfaceName` - The SPI interface name for the method.
    `methodName` - The method name.
  Returns
    The name.

### buildId

    public static String buildId(String interfaceName,
                                 String methodName)

  Build hte id for the method capability definition.

  Parameters
    `interfaceName` - The SPI interface name for the method.
    `methodName` - The method name.
  Returns
    The id.

### getMethodName

    public String getMethodName()

  Get the method name for this method capability definition.

  Returns
    The method name.

### getInterfaceName

    public String getInterfaceName()

  Get the interface name for this method capability definition.

  Returns
    The interface name.

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the reference object with which to compare.
  Returns
    `true` if this object is the same as the obj argument; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by

  Overrides:
    `hashCode` in class `Object`
  Returns
    a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved